Subject: Re: [PATCH] remove .tmp_gas_check

From: Tom Rini <[email-masked]>
Date: Sun, 6 Feb 2005 13:21:54 -0700

On Sun, Feb 06, 2005 at 09:08:02PM +0100, Olaf Hering wrote:
>  On Sun, Feb 06, Tom Rini wrote:
> 
> > Right.  But we only care about that if we're going to compile anything,
> > so perhaps we need to change the test somehow to only get evaluated when
> > needed (ala the -mcpu stuff?  Or is that always run as well?).
> 
> I dont want to see that file because its just a tmpfile.
> mkdir $foo
> make ARCH=ppc tags &
> make ARCH=ppc O=$foo -j menuconfig 
> make ARCH=ppc O=$foo -j all
> 
> Its just in the way when doing diffs. and make clean may remove the tags
> file. But its just silly to expect 'make tags; make clean' to get rid of it.

I agree you shouldn't have to see it.  I'm saying the problem is the
variable shouldn't be evaluated.

-- 
Tom Rini
http://gate.crashing.org/~trini/